<script setup lang="ts">
import MovieCard from '@/components/MovieCard.vue'
import { useMoviesStore } from '@/stores/movies'

const moviesStore = useMoviesStore()
</script>

<template>
  <v-container>
    <v-row>
      <v-col v-for="movie in moviesStore.movies"
             :key="movie.id"
             cols="12"
             xl="2" lg="3" md="4" sm="6"
      >
        <MovieCard :movie="movie"/>
      </v-col>
    </v-row>
  </v-container>
</template>
